%global have_mojo 1

%bcond_with perl_MIME_Types_enables_extra_test

Name:           perl-MIME-Types
Version:        2.24
Release:    1%{?dist}
Summary:        MIME types module for Perl
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/release/MIME-Types
Source0:        https://cpan.metacpan.org/modules/by-module/MIME/MIME-Types-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(base)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(List::Util)
%if %{have_mojo}
BuildRequires:  perl(Mojo::Base)
%endif
BuildRequires:  perl(overload)
BuildRequires:  perl(strict)
BuildRequires:  perl(vars)
BuildRequires:  perl(lib)
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(warnings)
%if %{with perl_MIME_Types_enables_extra_test}
BuildRequires:  perl(Test::MinimumVersion)
BuildRequires:  perl(Test::Pod) >= 1.00
%endif

%description
MIME types are used in many applications, for instance as part of e-mail
and HTTP traffic, to indicate the type of content that is transmitted.

Sometimes detailed knowledge about a mime-type is need; however, this
module only knows about the file-name extensions that relate to some
file-type.  It can also be used to produce the right format: types that
are not registered at IANA need to use 'x-' prefixes.

%if %{have_mojo}
%package -n perl-MojoX-MIME-Types

Summary:        MIME Types for Mojolicious
Requires:       perl-MIME-Types = %{version}-%{release}

%description -n perl-MojoX-MIME-Types
This module is a drop-in replacement for Mojolicious::Types, but with a more
correct handling plus a complete list of types... a huge list of types.

Some methods ignore information they receive: those parameters are accepted
for compatibility with the Mojolicious::Types interface, but should not
contain useful information.

%endif

%prep
%setup -q -n MIME-Types-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test
%if %{with perl_MIME_Types_enables_extra_test}
make test TEST_FILES="xt/*.t"
%endif

%files
%doc ChangeLog README README.md
%{perl_vendorlib}/MIME/
%{_mandir}/man3/MIME::Type.3*
%{_mandir}/man3/MIME::Types.3*

%if %{have_mojo}
%files -n perl-MojoX-MIME-Types
%{perl_vendorlib}/MojoX/
%{_mandir}/man3/MojoX::MIME::Types.3*
%else
%exclude %{perl_vendorlib}/MojoX/
%exclude %{_mandir}/man3/MojoX::MIME::Types.3*
%endif

%changelog
* Thu Jul 04 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.24-1
- initial build
